scorers
Create scorers versions
Requires scopes: eval:write
POST
/
api
/
scorers
/
{scorerId}
/
versions
Create scorers versions
curl --request POST \
--url https://evalgate.com/api/scorers/{scorerId}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"definition": {
"description": "<string>",
"implementation": {
"type": "deterministic",
"config": {
"schema": {},
"maxCostUsd": 123,
"pattern": "<string>",
"caseSensitive": false,
"maxLatencyMs": 123
},
"operator": "contains"
},
"outputSchema": {},
"inputSchema": {},
"calibration": {
"ownerId": "<string>",
"requiredForPublishing": false,
"minHumanAnchors": 123,
"minAgreementRate": 123,
"maxParseFailureRate": 123,
"requireApprovedMapping": false
},
"scoreScale": {
"max": 123,
"min": 123,
"passThreshold": 123,
"labels": {}
},
"tags": [
"<string>"
]
},
"idempotencyKey": "<string>",
"parentVersionId": 123
}
'import requests
url = "https://evalgate.com/api/scorers/{scorerId}/versions"
payload = {
"definition": {
"description": "<string>",
"implementation": {
"type": "deterministic",
"config": {
"schema": {},
"maxCostUsd": 123,
"pattern": "<string>",
"caseSensitive": False,
"maxLatencyMs": 123
},
"operator": "contains"
},
"outputSchema": {},
"inputSchema": {},
"calibration": {
"ownerId": "<string>",
"requiredForPublishing": False,
"minHumanAnchors": 123,
"minAgreementRate": 123,
"maxParseFailureRate": 123,
"requireApprovedMapping": False
},
"scoreScale": {
"max": 123,
"min": 123,
"passThreshold": 123,
"labels": {}
},
"tags": ["<string>"]
},
"idempotencyKey": "<string>",
"parentVersionId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
description: '<string>',
implementation: {
type: 'deterministic',
config: {
schema: {},
maxCostUsd: 123,
pattern: '<string>',
caseSensitive: false,
maxLatencyMs: 123
},
operator: 'contains'
},
outputSchema: {},
inputSchema: {},
calibration: {
ownerId: '<string>',
requiredForPublishing: false,
minHumanAnchors: 123,
minAgreementRate: 123,
maxParseFailureRate: 123,
requireApprovedMapping: false
},
scoreScale: {max: 123, min: 123, passThreshold: 123, labels: {}},
tags: ['<string>']
},
idempotencyKey: '<string>',
parentVersionId: 123
})
};
fetch('https://evalgate.com/api/scorers/{scorerId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"submittedAt": "<string>",
"approvedAt": "<string>",
"definition": {
"description": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"outputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"scoreScale": {
"min": 123,
"max": 123,
"passThreshold": 123,
"labels": {}
},
"implementation": {
"type": "deterministic",
"operator": "contains",
"config": {
"caseSensitive": false,
"pattern": "<string>",
"maxLatencyMs": 123,
"maxCostUsd": 123,
"schema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
}
}
},
"calibration": {
"requiredForPublishing": true,
"minHumanAnchors": 123,
"minAgreementRate": 123,
"maxParseFailureRate": 123,
"requireApprovedMapping": true,
"ownerId": "<string>"
},
"tags": [
"<string>"
]
},
"versionId": 123,
"artifactId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"payload": {},
"metadata": {},
"createdBy": "<string>",
"parentVersionId": 123,
"contentHash": "<string>",
"packageHash": "<string>",
"packageSignature": "<string>",
"reviewStatus": "<string>",
"reviewRevision": 123,
"submittedBy": "<string>",
"approvedBy": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create scorers versions
